diff options
Diffstat (limited to 'scripts/require.sh')
-rw-r--r-- | scripts/require.sh | 8 |
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/require.sh b/scripts/require.sh new file mode 100644 index 00000000..851d065d --- /dev/null +++ b/scripts/require.sh | |||
@@ -0,0 +1,8 @@ | |||
1 | #! /usr/bin/env bash | ||
2 | # File used to check dependencies | ||
3 | |||
4 | if [ ! -f composer.phar ]; then | ||
5 | echo "composer.phar not found, we'll see if composer is installed globally." | ||
6 | fi | ||
7 | |||
8 | command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; } | ||